svn commit: r302301 - in projects/vnet/_scripts: . conductor conductor/tests conductor/tests/fwd conductor/tests/http conductor/tests/ipsec conductor/tests/nada
Bjoern A. Zeeb
bz at FreeBSD.org
Thu Jun 30 19:09:48 UTC 2016
Author: bz
Date: Thu Jun 30 19:09:44 2016
New Revision: 302301
URL: https://svnweb.freebsd.org/changeset/base/302301
Log:
Add various shell scripts and the initial conductor tests (which did
not work reliably--which is why I resorted to shell scripts again).
Some of these scripts were built up over the years, copied, pasted, mangled,
and re-adjusted. A lot of this would benefit from a more formal proper
framework to be run regularly.
I ended up running most of these in parallel in endless loops.
See jail-vnet.sh for a start.
Sponsored by: The FreeBSD Foundation; and others
Added:
projects/vnet/_scripts/
projects/vnet/_scripts/cleanup-epairs.sh (contents, props changed)
projects/vnet/_scripts/cleanup.sh (contents, props changed)
projects/vnet/_scripts/conductor/
projects/vnet/_scripts/conductor/tests/
projects/vnet/_scripts/conductor/tests/fwd/
projects/vnet/_scripts/conductor/tests/fwd/conductor.cfg
projects/vnet/_scripts/conductor/tests/fwd/conductor.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/fwd/left.cfg
projects/vnet/_scripts/conductor/tests/fwd/left.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/fwd/middle.cfg
projects/vnet/_scripts/conductor/tests/fwd/middle.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/fwd/right.cfg
projects/vnet/_scripts/conductor/tests/fwd/right.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/fwd/start-vnet-lmr.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/
projects/vnet/_scripts/conductor/tests/http/conductor.cfg
projects/vnet/_scripts/conductor/tests/http/conductor.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/index.html (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/left.cfg
projects/vnet/_scripts/conductor/tests/http/left.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/loop.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/middle.cfg
projects/vnet/_scripts/conductor/tests/http/middle.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/pf-log.conf (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/pf.conf (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/right.cfg
projects/vnet/_scripts/conductor/tests/http/right.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/run-as-shell-not-conductor-pf.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/run-as-shell-not-conductor.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/start-vnet-lmr.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/http/thttpd.conf (contents, props changed)
projects/vnet/_scripts/conductor/tests/ipsec/
projects/vnet/_scripts/conductor/tests/ipsec/conductor.cfg
projects/vnet/_scripts/conductor/tests/ipsec/conductor.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/ipsec/ipsec.conf.left
projects/vnet/_scripts/conductor/tests/ipsec/ipsec.conf.middle
projects/vnet/_scripts/conductor/tests/ipsec/ipsec.conf.right
projects/vnet/_scripts/conductor/tests/ipsec/left.cfg
projects/vnet/_scripts/conductor/tests/ipsec/left.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/ipsec/middle.cfg
projects/vnet/_scripts/conductor/tests/ipsec/middle.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/ipsec/right.cfg
projects/vnet/_scripts/conductor/tests/ipsec/right.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/ipsec/start-vnet-lmr.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/nada/
projects/vnet/_scripts/conductor/tests/nada/conductor.cfg
projects/vnet/_scripts/conductor/tests/nada/conductor.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/nada/left.cfg
projects/vnet/_scripts/conductor/tests/nada/left.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/nada/middle.cfg
projects/vnet/_scripts/conductor/tests/nada/middle.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/nada/right.cfg
projects/vnet/_scripts/conductor/tests/nada/right.sh (contents, props changed)
projects/vnet/_scripts/conductor/tests/nada/start-vnet-lmr.sh (contents, props changed)
projects/vnet/_scripts/jail-nada.sh (contents, props changed)
projects/vnet/_scripts/jail-pf-start-stop.sh (contents, props changed)
projects/vnet/_scripts/jail-random-stop.sh (contents, props changed)
projects/vnet/_scripts/jail-start-lmr-4.sh (contents, props changed)
projects/vnet/_scripts/jail-start-lmr-6.sh (contents, props changed)
projects/vnet/_scripts/jail-start-lmr-ipfw.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-epair-regression01.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-netperf.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-setup-host.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-start-stop.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-test-10.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-test-20.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-test-21.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-test-30.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet-test.sh (contents, props changed)
projects/vnet/_scripts/jail-vnet.sh (contents, props changed)
projects/vnet/_scripts/jail.sh (contents, props changed)
projects/vnet/_scripts/loop-start-cleanup.sh (contents, props changed)
projects/vnet/_scripts/loop.sh (contents, props changed)
projects/vnet/_scripts/stop-netperf.sh (contents, props changed)
projects/vnet/_scripts/test-disc.sh (contents, props changed)
projects/vnet/_scripts/test-epair-destroy.sh (contents, props changed)
projects/vnet/_scripts/test-ipv6rt.sh (contents, props changed)
projects/vnet/_scripts/test-sequence.sh (contents, props changed)
Added: projects/vnet/_scripts/cleanup-epairs.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/cleanup-epairs.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,54 @@
+#!/bin/sh
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+timeout=$1
+case "${timeout}" in
+"") timeout=60 ;;
+0) timeout=60 ;;
+esac
+
+while : ; do
+
+ for iface in `ifconfig -l`; do
+ case "${iface}" in
+ epair*a)
+ echo "Destroying ${iface}"
+ ifconfig ${iface} destroy
+ ;;
+ esac
+ done
+
+ sleep ${timeout}
+
+done
+
+# end
Added: projects/vnet/_scripts/cleanup.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/cleanup.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,37 @@
+#!/bin/sh
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+jls | awk '!/JID/ { print $1 }' | xargs -n1 jail -r
+ifconfig -l | tr ' ' '\n' | awk '/epair.*b/ { print $1 }' | xargs -n 1 -J % ifconfig % destroy
+ifconfig -l | tr ' ' '\n' | awk '/epair.*a/ { print $1 }' | xargs -n 1 -J % ifconfig % destroy
+
+# end
Added: projects/vnet/_scripts/conductor/tests/fwd/conductor.cfg
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/conductor.cfg Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,37 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+[Test]
+trials: 1
+
+[Clients]
+client1: left.cfg
+client2: middle.cfg
+client3: right.cfg
Added: projects/vnet/_scripts/conductor/tests/fwd/conductor.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/conductor.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+
+cd /home/test/conductor/tests/fwd/
+conduct conductor.cfg
+
+# end
Added: projects/vnet/_scripts/conductor/tests/fwd/left.cfg
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/left.cfg Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,50 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+[Master]
+player: 198.18.0.1
+conductor: 198.18.0.2
+cmdport: 6970
+resultsport: 6971
+
+[Startup]
+step1:echo "Startup"
+
+# Run the test, each step runs in parallel
+[Run]
+step1:echo "Starting iperf3 -s -D"
+step2:/usr/local/bin/iperf3 -s -D
+timeout10: sleep 1
+
+[Collect]
+step1:echo "collecting"
+
+[Reset]
+step1:echo "system reset: goodbye"
Added: projects/vnet/_scripts/conductor/tests/fwd/left.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/left.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+
+cd /home/test/conductor/tests/fwd/
+player left.cfg &
+
+# end
Added: projects/vnet/_scripts/conductor/tests/fwd/middle.cfg
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/middle.cfg Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,49 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+[Master]
+player: 127.0.0.1
+conductor: 127.0.0.1
+cmdport: 6970
+resultsport: 6971
+
+[Startup]
+step1:echo "Startup"
+
+# Run the test, each step runs in parallel
+[Run]
+step1:echo "Nothing to do"
+timeout10: sleep 1
+
+[Collect]
+step1:echo "collecting"
+
+[Reset]
+step1:echo "system reset: goodbye"
Added: projects/vnet/_scripts/conductor/tests/fwd/middle.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/middle.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+
+cd /home/test/conductor/tests/fwd/
+player middle.cfg &
+
+# end
Added: projects/vnet/_scripts/conductor/tests/fwd/right.cfg
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/right.cfg Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,51 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+[Master]
+player: 198.18.1.2
+conductor: 198.18.1.1
+cmdport: 6970
+resultsport: 6971
+
+[Startup]
+step1:echo "Startup"
+
+# Run the test, each step runs in parallel
+[Run]
+step1:echo "Starting sleep 1; iperf3 -c 2001:200::1"
+step2:sleep 1
+step3:/usr/local/bin/iperf3 -c 2001:200::1
+timeout10: sleep 1
+
+[Collect]
+step1:echo "collecting"
+
+[Reset]
+step1:echo "system reset: goodbye"
Added: projects/vnet/_scripts/conductor/tests/fwd/right.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/right.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+
+cd /home/test/conductor/tests/fwd/
+player right.cfg &
+
+# end
Added: projects/vnet/_scripts/conductor/tests/fwd/start-vnet-lmr.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/fwd/start-vnet-lmr.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+#
+# Helper(s).
+#
+epair_base()
+{
+ local ep
+
+ ep=`ifconfig epair create`
+ expr ${ep} : '\(.*\).'
+}
+
+#
+# Setup "machines".
+#
+
+# Start left (client) jail.
+ljid=`jail -i -c -n lef$$ host.hostname=left.example.net vnet persist`
+
+# Start middle (forwarding) jail.
+mjid=`jail -i -c -n mid$$ host.hostname=center.example.net vnet persist`
+
+# Start right (server) jail.
+rjid=`jail -i -c -n right$$ host.hostname=right.example.net vnet persist`
+
+echo "left ${ljid} middle ${mjid} right ${rjid}"
+
+# Create networking.
+#
+# jail: left middle right
+# ifaces: lmep:a ---- lmep:b mrep:a ---- mrep:b
+#
+
+# IANA Benchmarking prefixes:
+# 198.18.0.0/15
+# 2001:0200::/48
+
+jexec ${mjid} sysctl net.inet.ip.forwarding=1
+jexec ${mjid} sysctl net.inet6.ip6.forwarding=1
+jexec ${mjid} sysctl net.inet6.ip6.accept_rtadv=0
+
+lmep=$(epair_base)
+ifconfig ${lmep}a vnet ${ljid}
+ifconfig ${lmep}b vnet ${mjid}
+
+jexec ${ljid} ifconfig lo0 inet 127.0.0.1/8
+jexec ${ljid} ifconfig ${lmep}a inet 198.18.0.1/30 up
+jexec ${ljid} ifconfig ${lmep}a inet6 2001:200::1/64 alias
+
+jexec ${ljid} route add default 198.18.0.2
+jexec ${ljid} route add -inet6 default 2001:200::2
+
+jexec ${mjid} ifconfig lo0 inet 127.0.0.1/8
+jexec ${mjid} ifconfig ${lmep}b inet 198.18.0.2/30 up
+jexec ${mjid} ifconfig ${lmep}b inet6 2001:200::2/64 alias
+
+mrep=$(epair_base)
+ifconfig ${mrep}a vnet ${mjid}
+ifconfig ${mrep}b vnet ${rjid}
+
+jexec ${mjid} ifconfig ${mrep}a inet 198.18.1.1/30 up
+jexec ${mjid} ifconfig ${mrep}a inet6 2001:200:1::1/64 alias
+
+jexec ${rjid} ifconfig lo0 inet 127.0.0.1/8
+jexec ${rjid} ifconfig ${mrep}b inet 198.18.1.2/30 up
+jexec ${rjid} ifconfig ${mrep}b inet6 2001:200:1::2/64 alias
+
+jexec ${rjid} route add default 198.18.1.1
+jexec ${rjid} route add -inet6 default 2001:200:1::1
+
+# Start conductor components and let them do everything else.
+#
+# Seems conductor scripts need to be run from the local directory
+# thus use "startup" scripts.
+# We runt he conductor on the middle node as that can reach all three.
+#
+
+jexec ${ljid} /home/test/conductor/tests/fwd/left.sh
+jexec ${mjid} /home/test/conductor/tests/fwd/middle.sh
+jexec ${rjid} /home/test/conductor/tests/fwd/right.sh
+sleep 3
+jexec ${mjid} /home/test/conductor/tests/fwd/conductor.sh
+
+jail -r ${rjid} ${ljid} ${mjid}
+
+# end
Added: projects/vnet/_scripts/conductor/tests/http/conductor.cfg
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/conductor.cfg Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,37 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+[Test]
+trials: 1
+
+[Clients]
+client1: left.cfg
+client2: middle.cfg
+client3: right.cfg
Added: projects/vnet/_scripts/conductor/tests/http/conductor.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/conductor.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+
+cd /home/test/conductor/tests/http/
+conduct conductor.cfg
+
+# end
Added: projects/vnet/_scripts/conductor/tests/http/index.html
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/index.html Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,3 @@
+<html>
+ <!-- just empty -->
+</html>
Added: projects/vnet/_scripts/conductor/tests/http/left.cfg
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/left.cfg Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,52 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+[Master]
+player: 198.18.0.1
+conductor: 198.18.0.2
+cmdport: 6970
+resultsport: 6971
+
+[Startup]
+step1:echo "Startup"
+
+# Run the test, each step runs in parallel
+[Run]
+step1:echo "Starting thttpd"
+step2:env thttpd_flags="-C /home/test/conductor/tests/http/thttpd.conf" /usr/local/etc/rc.d/thttpd onestart
+step3:echo "Starting varnish"
+step4:env varnishd_config=/usr/local/share/doc/varnish/example.vcl /usr/local/etc/rc.d/varnishd onestart
+timeout10: sleep 2
+
+[Collect]
+step1:echo "collecting"
+
+[Reset]
+step1:echo "system reset: goodbye"
Added: projects/vnet/_scripts/conductor/tests/http/left.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/left.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+
+cd /home/test/conductor/tests/http/
+player left.cfg &
+
+# end
Added: projects/vnet/_scripts/conductor/tests/http/loop.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/loop.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,45 @@
+#!/bin/sh
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+set -x
+
+while : ; do
+
+ sh start-vnet-lmr.sh &
+ p=$!
+ sleep 240
+ kill -9 $p || true
+
+done
+
+# end
Added: projects/vnet/_scripts/conductor/tests/http/middle.cfg
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/middle.cfg Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,49 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+[Master]
+player: 127.0.0.1
+conductor: 127.0.0.1
+cmdport: 6970
+resultsport: 6971
+
+[Startup]
+step1:echo "Startup"
+
+# Run the test, each step runs in parallel
+[Run]
+step1:echo "Nothing to do"
+timeout10: sleep 1
+
+[Collect]
+step1:echo "collecting"
+
+[Reset]
+step1:echo "system reset: goodbye"
Added: projects/vnet/_scripts/conductor/tests/http/middle.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/middle.sh Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+set -e
+
+cd /home/test/conductor/tests/http/
+player middle.cfg &
+
+# end
Added: projects/vnet/_scripts/conductor/tests/http/pf-log.conf
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/pf-log.conf Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,47 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# options
+set block-policy return
+
+set skip on lo0
+
+# scrub
+scrub in
+
+# nat/rdr
+
+# filter rules
+pass in log
+pass out log
+
+antispoof quick for { lo epair }
+
Added: projects/vnet/_scripts/conductor/tests/http/pf.conf
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/vnet/_scripts/conductor/tests/http/pf.conf Thu Jun 30 19:09:44 2016 (r302301)
@@ -0,0 +1,47 @@
+#-
+# Copyright (c) 2016 The FreeBSD Foundation
+# All rights reserved.
+#
+# This software was developed by Björn Zeeb under
+# the sponsorship from the FreeBSD Foundation.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# options
+set block-policy return
+
+set skip on lo0
*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
More information about the svn-src-projects
mailing list